# This file is part of OpenMediaVault.
#
# @license   http://www.gnu.org/licenses/gpl.html GPL Version 3
# @author    Volker Theile <volker.theile@openmediavault.org>
# @copyright Copyright (c) 2009-2021 Volker Theile
#
# OpenMediaVault is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# OpenMediaVault is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenMediaVault. If not, see <http://www.gnu.org/licenses/>.

# Add processing for multicast entries in 'ip -6 route show table all'
# https://github.com/saltstack/salt/pull/59829
patch_network_module_pr_59829:
  file.patch:
    - name: "/lib/python3/dist-packages/salt/modules/network.py"
    - source:
      - salt://{{ tpldir }}/files/salt-pr-59829.patch

# https://github.com/saltstack/salt/pull/60536
patch_fileserver_root_pr_60536:
  file.patch:
    - name: "/lib/python3/dist-packages/salt/fileserver/roots.py"
    - source:
      - salt://{{ tpldir }}/files/salt-pr-60536.patch
